<?php
/**
 * Active Callbacks
 *
 * @package EnterpriseUp
 */

// Theme Options.
function enterpriseup_is_pagination_enabled( $control ) {
	return ( $control->manager->get_setting( 'enterpriseup_enable_pagination' )->value() );
}
function enterpriseup_is_breadcrumb_enabled( $control ) {
	return ( $control->manager->get_setting( 'enterpriseup_enable_breadcrumb' )->value() );
}
function enterpriseup_is_social_menu_enabled( $control ) {
	return ( $control->manager->get_setting( 'enterpriseup_enable_social_menu' )->value() );
}

// Banner section.
function enterpriseup_is_banner_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'enterpriseup_enable_banner_section' )->value() );
}
function enterpriseup_is_banner_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'enterpriseup_banner_content' )->value();
	return ( enterpriseup_is_banner_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function enterpriseup_is_banner_section_and_content_type_page_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'enterpriseup_banner_content' )->value();
	return ( enterpriseup_is_banner_section_enabled( $control ) && ( 'page' === $content_type ) );
}

// Service section.
function enterpriseup_is_service_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'enterpriseup_enable_service_section' )->value() );
}
function enterpriseup_is_service_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'enterpriseup_service_content_type' )->value();
	return ( enterpriseup_is_service_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function enterpriseup_is_service_section_and_content_type_page_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'enterpriseup_service_content_type' )->value();
	return ( enterpriseup_is_service_section_enabled( $control ) && ( 'page' === $content_type ) );
}

// About section.
function enterpriseup_is_about_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'enterpriseup_enable_about_section' )->value() );
}
function enterpriseup_is_about_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'enterpriseup_about_content_type' )->value();
	return ( enterpriseup_is_about_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function enterpriseup_is_about_section_and_content_type_page_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'enterpriseup_about_content_type' )->value();
	return ( enterpriseup_is_about_section_enabled( $control ) && ( 'page' === $content_type ) );
}

// Features section.
function enterpriseup_is_features_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'enterpriseup_enable_features_section' )->value() );
}
function enterpriseup_is_features_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'enterpriseup_features_content_type' )->value();
	return ( enterpriseup_is_features_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function enterpriseup_is_features_section_and_content_type_page_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'enterpriseup_features_content_type' )->value();
	return ( enterpriseup_is_features_section_enabled( $control ) && ( 'page' === $content_type ) );
}

// Team section.
function enterpriseup_is_team_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'enterpriseup_enable_team_section' )->value() );
}
function enterpriseup_is_team_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'enterpriseup_team_content_type' )->value();
	return ( enterpriseup_is_team_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function enterpriseup_is_team_section_and_content_type_page_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'enterpriseup_team_content_type' )->value();
	return ( enterpriseup_is_team_section_enabled( $control ) && ( 'page' === $content_type ) );
}

// Gallery section.
function enterpriseup_is_gallery_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'enterpriseup_enable_gallery_section' )->value() );
}
function enterpriseup_is_gallery_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'enterpriseup_gallery_content_type' )->value();
	return ( enterpriseup_is_gallery_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function enterpriseup_is_gallery_section_and_content_type_page_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'enterpriseup_gallery_content_type' )->value();
	return ( enterpriseup_is_gallery_section_enabled( $control ) && ( 'page' === $content_type ) );
}

// Blog section.
function enterpriseup_is_blog_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'enterpriseup_enable_blog_section' )->value() );
}
function enterpriseup_is_blog_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'enterpriseup_blog_content_type' )->value();
	return ( enterpriseup_is_blog_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function enterpriseup_is_blog_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'enterpriseup_blog_content_type' )->value();
	return ( enterpriseup_is_blog_section_enabled( $control ) && ( 'category' === $content_type ) );
}

// Newsletter section.
function enterpriseup_is_newsletter_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'enterpriseup_enable_newsletter_section' )->value() );
}

// Check if static home page is enabled.
function enterpriseup_is_static_homepage_enabled( $control ) {
	return ( 'page' === $control->manager->get_setting( 'show_on_front' )->value() );
}
