<?php
/**
 * Header Options
 *
 * @package EnterpriseUp
 */

$wp_customize->add_section(
	'enterpriseup_header_options',
	array(
		'panel' => 'enterpriseup_theme_options',
		'title' => esc_html__( 'Header Options', 'enterpriseup' ),
	)
);

// Header Options - Contact Label.
$wp_customize->add_setting(
	'enterpriseup_contact_label',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'enterpriseup_contact_label',
	array(
		'label'    => esc_html__( 'Contact Label', 'enterpriseup' ),
		'section'  => 'enterpriseup_header_options',
		'settings' => 'enterpriseup_contact_label',
		'type'     => 'text',
	)
);

// Header Options - Contact Number.
$wp_customize->add_setting(
	'enterpriseup_contact_number',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'enterpriseup_contact_number',
	array(
		'label'    => esc_html__( 'Contact Number', 'enterpriseup' ),
		'section'  => 'enterpriseup_header_options',
		'settings' => 'enterpriseup_contact_number',
		'type'     => 'text',
	)
);

// Header Options - Email Label.
$wp_customize->add_setting(
	'enterpriseup_email_label',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'enterpriseup_email_label',
	array(
		'label'    => esc_html__( 'Email Label', 'enterpriseup' ),
		'section'  => 'enterpriseup_header_options',
		'settings' => 'enterpriseup_email_label',
		'type'     => 'text',
	)
);

// Header Options - Email Address.
$wp_customize->add_setting(
	'enterpriseup_email_address',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'enterpriseup_email_address',
	array(
		'label'    => esc_html__( 'Email Address', 'enterpriseup' ),
		'section'  => 'enterpriseup_header_options',
		'settings' => 'enterpriseup_email_address',
		'type'     => 'text',
	)
);

// Header Options - Enable Search Form.
$wp_customize->add_setting(
	'enterpriseup_enable_search_form',
	array(
		'sanitize_callback' => 'enterpriseup_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new EnterpriseUp_Toggle_Switch_Custom_Control(
		$wp_customize,
		'enterpriseup_enable_search_form',
		array(
			'label'   => esc_html__( 'Enable Search Form', 'enterpriseup' ),
			'section' => 'enterpriseup_header_options',
		)
	)
);

// Header Options - Enable Social Menu.
$wp_customize->add_setting(
	'enterpriseup_enable_social_menu',
	array(
		'sanitize_callback' => 'enterpriseup_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new EnterpriseUp_Toggle_Switch_Custom_Control(
		$wp_customize,
		'enterpriseup_enable_social_menu',
		array(
			'label'   => esc_html__( 'Enable Social Menu', 'enterpriseup' ),
			'section' => 'enterpriseup_header_options',
		)
	)
);

// Header Options - Social Menu Label.
$wp_customize->add_setting(
	'enterpriseup_social_menu_label',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'enterpriseup_social_menu_label',
	array(
		'label'           => esc_html__( 'Social Menu Label', 'enterpriseup' ),
		'section'         => 'enterpriseup_header_options',
		'settings'        => 'enterpriseup_social_menu_label',
		'type'            => 'text',
		'active_callback' => 'enterpriseup_is_social_menu_enabled',
	)
);
