<?php
/**
 * Typography
 *
 * @package EnterpriseUp
 */

$wp_customize->add_section(
	'enterpriseup_typography',
	array(
		'panel' => 'enterpriseup_theme_options',
		'title' => esc_html__( 'Typography', 'enterpriseup' ),
	)
);

// Typography - Site Title Font.
$wp_customize->add_setting(
	'enterpriseup_site_title_font',
	array(
		'default'           => 'Titillium Web',
		'sanitize_callback' => 'enterpriseup_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'enterpriseup_site_title_font',
	array(
		'label'    => esc_html__( 'Site Title Font Family', 'enterpriseup' ),
		'section'  => 'enterpriseup_typography',
		'settings' => 'enterpriseup_site_title_font',
		'type'     => 'select',
		'choices'  => enterpriseup_get_all_google_font_families(),
	)
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'enterpriseup_site_description_font',
	array(
		'default'           => 'Titillium Web',
		'sanitize_callback' => 'enterpriseup_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'enterpriseup_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'enterpriseup' ),
		'section'  => 'enterpriseup_typography',
		'settings' => 'enterpriseup_site_description_font',
		'type'     => 'select',
		'choices'  => enterpriseup_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'enterpriseup_header_font',
	array(
		'default'           => 'Titillium Web',
		'sanitize_callback' => 'enterpriseup_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'enterpriseup_header_font',
	array(
		'label'    => esc_html__( 'Header Font Family', 'enterpriseup' ),
		'section'  => 'enterpriseup_typography',
		'settings' => 'enterpriseup_header_font',
		'type'     => 'select',
		'choices'  => enterpriseup_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'enterpriseup_body_font',
	array(
		'default'           => 'Titillium Web',
		'sanitize_callback' => 'enterpriseup_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'enterpriseup_body_font',
	array(
		'label'    => esc_html__( 'Body Font Family', 'enterpriseup' ),
		'section'  => 'enterpriseup_typography',
		'settings' => 'enterpriseup_body_font',
		'type'     => 'select',
		'choices'  => enterpriseup_get_all_google_font_families(),
	)
);
