<?php

if ( ! get_theme_mod( 'enterpriseup_enable_about_section', false ) ) {
	return;
}

$content_id    = $section_content = array();
$content_count = 1;

$content_type = get_theme_mod( 'enterpriseup_about_content_type', 'page' );
if ( in_array( $content_type, array( 'post', 'page' ) ) ) {

	if ( 'post' === $content_type ) {
		$content_id[] = get_theme_mod( 'enterpriseup_about_content_post' );
	} else {
		$content_id[] = get_theme_mod( 'enterpriseup_about_content_page' );
	}
	$args = array(
		'post_type'           => $content_type,
		'post__in'            => array_filter( $content_id ),
		'orderby'             => 'post__in',
		'posts_per_page'      => absint( $content_count ),
		'ignore_sticky_posts' => true,
	);
	$args = apply_filters( 'enterpriseup_about_section_content', $args );

	enterpriseup_render_about_section( $args );
}

/**
 * Renders About Section
 */
function enterpriseup_render_about_section( $args ) {
	$query = new WP_Query( $args );
	if ( $query->have_posts() ) :
		$about_button_label = get_theme_mod( 'enterpriseup_about_button_label', __( 'About Us', 'enterpriseup' ) );
		while ( $query->have_posts() ) :
			$query->the_post();
			?>
			<section id="enterpriseup_about_section" class="enterpriseup-frontpage-section enterpriseup-text-image-section enterpriseup-image-right enterpriseup-style-2">
				<?php
				if ( is_customize_preview() ) :
					enterpriseup_section_link( 'enterpriseup_about_section' );
				endif;
				?>
				<div class="ascendoor-wrapper">
					<div class="enterpriseup-text-image-section-wrapper">
						<div class="enterpriseup-text-image-section-image">
							<?php the_post_thumbnail(); ?>
						</div>
						<div class="enterpriseup-text-image-section-text section-header-subtitle">
							<h3 class="section-title">
								<?php the_title(); ?>
							</h3>
							<p class="description"><?php echo wp_kses_post( wp_trim_words( get_the_content(), 70 ) ); ?> </p>
							<?php if ( ! empty( $about_button_label ) ) { ?>
								<div class="enterpriseup-button">
									<a href="<?php the_permalink(); ?>"><?php echo esc_html( $about_button_label ); ?></a>
								</div>
							<?php } ?>
						</div>
					</div>
				</div>
			</section>
			<?php
		endwhile;
		wp_reset_postdata();
	endif;
}
